Subject: [PATCH] arm: socfpga: reserve the region at start of phys mem

From: [email-masked] (Sebastian Andrzej Siewior)
Date: Wed, 30 Apr 2014 19:01:36 +0200

On 04/30/2014 06:17 PM, Josh Cartwright wrote:
> Is there a particular reason why you aren't describing this reservation
> in devicetree using a /memreserve/ node?

Because the kernel is using memory at a specific address it did not
allocate. If the memory address where the second CPU come up could be
set then this node wouldn't be required and a simple kmalloc() would do
it, too.

Sebastian